Firebird News

Tuesday, December 13, 2005

Which DB is more compatible with Lazarus?

Will there be a native component for mysql5 into Lazarus?

There already is. That is, if you use the newest fpc version from svn.
(2.0.3 or 2.1.1)

Then install the sqldb package that you can find in the components
directory of your Lazarus installation.

> It's not a troll but which DB is more compatible with Lazarus?

Sqldb, which is part of fpc supports Mysql 4.0,4.1,5.0,
firebird/interbase, postgresql, ODCB and Oracle.

Firebird/Interbase and Oracle supports the most features. Followed by
Postgresql, ODBC and the least supportive is MySQL.

Firebird/Interbase is tested and used the most. Oracle is brand new, and
no-one tried it really...

So if you can choose your database, I would go for Firebird, Postgres or
eventually Oracle.

Met vriendelijke groeten,

Joost van der Sluis
CNOC Informatiesystemen en Netwerken


No comments: